import type { Locale } from "../lib/dateLib.js";
import type { DateLib } from "../types/index.js";
/**
 * Generate a series of 7 days, starting from the week, to use for formatting
 * the weekday names (Monday, Tuesday, etc.).
 */
export declare function getWeekdays(locale?: Locale | undefined, 
/** The index of the first day of the week (0 - Sunday). */
weekStartsOn?: 0 | 1 | 2 | 3 | 4 | 5 | 6 | undefined, 
/** Use ISOWeek instead of locale/ */
ISOWeek?: boolean | undefined, 
/** @ignore */
dateLib?: DateLib): Date[];
